#define MESSAGES_VERSION "2.7.9"
#define CANT_FIND_PRINTCAP_FILE 0
#define USAGE_FOR 1
#define CANNOT_INSTALL_XPM_ICON 2
#define NO_MATCH_FOUND_FOR_VISUAL 3
#define BAD_VISUAL_TYPE_SPECIFICATION 4
#define YOUR_CANVAS_DEPTH_IS_THAT_MANY_BITS 5
#define SEPARATOR_STRIP_ONE 6
#define WARNING_ONE 7
#define SEPARATOR_STRIP_TWO 8
#define WARNING_TWO_A 9
#define WARNING_TWO_B 10
#define WARNING_THREE_A 11
#define WARNING_THREE_B 12
#define WARNING_THREE_C 13
#define NO_FILE_NAME_SUPPLIED 14
#define UNABLE_TO_GET_REGION 15
#define UNABLE_TO_CREATE_IMAGE 16
#define UNABLE_TO_CREATE_IMAGE_FOR_SAVING 17
#define UNABLE_TO_LOAD_FILTER 18
#define UNABLE_TO_LOAD_PROCEDURE 19
#define ERROR_SAVING_FILE 20
#define NO_REGION_SELECTED_PRESENTLY 21
#define NO_SUCH_FILE_OR_DIRECTORY 22
#define UNABLE_TO_OPEN_INPUT_FILE 23
#define IMAGE_FORMATS 24
#define END_IMAGE_FORMATS 41
#define POSITION 41
#define VALUE 42
#define RED_COLOR 43
#define GREEN_COLOR 44
#define BLUE_COLOR 45
#define RED_VARIANCE 46
#define GREEN_VARIANCE 47
#define BLUE_VARIANCE 48
#define SNAP_SPACING_X 49
#define SNAP_SPACING_Y 50
#define ENTER_DESIRED_SNAP_SPACING 51
#define LEVELS 52
#define NUMBER_OF_UNDO_LEVELS 53
#define IMAGE_NUMBER 54
#define RECALL_AN_IMAGE 55
#define REMOVE_AN_IMAGE 56
#define ZOOM 57
#define CHANGE_ZOOM_FACTOR_FOR_IMAGE 58
#define ANGLE_IN_DEGREES 59
#define ENTER_DESIRED_ROTATION 60
#define ENTER_TWOBYTWO_MATRIX_ENTRIES 61
#define ENTER_POINTS 62
#define MUST_BE_ODD 63
#define ENTER_MASK_SIZE_FOR_OIL_PAINT_EFFECT 64
#define ENTER_MASK_SIZE_FOR_SMOOTHING_EFFECT 65
#define ENTER_DESIRED_NOISE_VARIANCE 66
#define DISTANCE_PIXELS 67
#define ENTER_THE_DESIRED_SPREAD_DISTANCE 68
#define WIDTH_X_HEIGHT_OR_SINGLE_NUMBER 69
#define ENTER_DESIRED_MEGAPIXEL_SIZE 70
#define ENTER_MASK_SIZE_FOR_DESPECKLE_FILTER 71
#define BLACK_LEVEL 72
#define WHITE_LEVEL 73
#define ENTER_LEVELS_FOR_CONTRAST_ADJUSTMENT 74
#define ENTER_THRESHOLD_FOR_SOLARIZE_FILTER 75
#define ENTER_DESIRED_SHIFT_FOR_RGB_COMPONENTS 76
#define RED_SHIFT 77
#define GREEN_SHIFT 78
#define BLUE_SHIFT 79
#define ENTER_DESIRED_NUMBER_OF_COLORS 80
#define EXPANSION_PARAMETERS 81
#define EXPANSION_FACTOR 82
#define DO_INTERPOLATION 83
#define DOWNSCALING_PARAMETERS 84
#define DOWNSCALING_FACTOR 85
#define SIZE_WIDTH 86
#define SIZE_HEIGHT 87
#define SIZE_ZOOM 88
#define ENTER_DESIRED_IMAGE_SIZE 89
#define LINE_WIDTH 90
#define ENTER_DESIRED_LINE_WIDTH 91
#define ENTER_DESIRED_DASH_STYLE 92
#define DASH_STYLE 93
#define GRID_DRAWING_MODE 94
#define GRID_LINES_OR_OTHER 95
#define GRID_USES_SNAP 96
#define GRID_COLOR 97
#define OPACITY 98
#define ENTER_THE_DESIRED_BRUSH_PARAMETERS 99
#define DENSITY 100
#define ENTER_THE_DESIRED_FRACTAL_DENSITY 101
#define DYNAMIC_WIDTH 102
#define DYNAMIC_MASS 103
#define DYNAMIC_DRAG 104
#define ENTER_THE_DESIRED_DYNAMIC_PENCIL_PARAMETERS 105
#define SPRAY_RADIUS 106
#define SPRAY_DENSITY 107
#define SPRAY_RATE 108
#define ENTER_THE_DESIRED_SPRAY_PARAMETERS 109
#define ARROWHEAD_TYPE 110
#define ARROWHEAD_SIZE 111
#define ARROWHEAD_ANGLE 112
#define ENTER_THE_DESIRED_ARROWHEAD_PARAMETERS 113
#define BOX_ROUND_CORNER_ABSOLUTE_SIZE 114
#define BOX_ROUND_CORNER_RELATIVE_SIZE 115
#define ENTER_THE_DESIRED_ROUND_CORNER_SIZE 116
#define NUMBER_OF_SIDES_OF_POLYGON 117
#define STARLIKE_POLYGON_INNER_RATIO 118
#define ENTER_THE_DESIRED_SPECIAL_POLYGON_PARAMETERS 119
#define GRADIENT_ANGLE 120
#define GRADIENT_PAD 121
#define GRADIENT_HORIZONTAL_OFFSET 122
#define GRADIENT_VERTICAL_OFFSET 123
#define GRADIENT_STEPS 124
#define ENTER_THE_DESIRED_GRADIENT_FILL_PARAMETERS 125
#define PATTERN_WIDTH 126
#define PATTERN_HEIGHT 127
#define ENTER_THE_DESIRED_PATTERN_SIZE 128
#define YOU_MUST_HAVE_AT_LEAST_ONE_ENTRY 129
#define NO_INFORMATION_TO_SAVE 130
#define UNABLE_TO_OPEN_FILE 131
#define UNABLE_TO_OPEN_FILE_FOR_WRITING 132
#define OVERWRITE_FILE 133
#define UNSAVED_CHANGES_WISH_TO_QUIT 134
#define UNSAVED_CHANGES_WISH_TO_CLOSE 135
#define UNSAVED_CHANGES_WISH_TO_REVERT 136
#define RESIZING_WARNING_CANNOT_BE_UNDONE 137
#define AUTOCROP_WARNING_CANNOT_BE_UNDONE 138
#define ARE_YOU_SURE_YOU_WANT_TO_CROP_THE_IMAGE_TO_THE_SIZE_OF_THE_REGION 139
#define BAD_SNAP_SPACING 140
#define BAD_NUMBER_OF_UNDO_LEVELS 141
#define INVALID_ZOOM 142
#define INVALID_MASK_SIZE 143
#define INVALID_NOISE_VARIANCE 144
#define INVALID_SPREAD_DISTANCE 145
#define INVALID_PIXEL_SIZE 146
#define INVALID_WHITE_LEVEL 147
#define INVALID_BLACK_LEVEL 148
#define INVALID_SOLARIZATION_THRESHOLD 149
#define INVALID_RGB_PERCENTAGES 150
#define INVALID_NUMBER_OF_COLORS 151
#define INVALID_SCALING_FACTOR 152
#define UNABLE_TO_CREATE_PAINT_WINDOW_WITH_IMAGE 153
#define FILE_WRITTEN 154
#define FILE_SENT_TO_PRINTER 155
#define INVALID_WIDTH_MUST_BE_GREATER_THAN_ZERO 156
#define DASH_IS_GIVEN_BY_ALTERNATING_SUCH_CHARACTERS 157
#define OPACITY_SHOULD_BE_BETWEEN_ZERO_AND_HUNDRED_PERCENT 158
#define WIDTH_SHOULD_BE_BETWEEN_ONE_AND_ONE_HUNDRED 159
#define MASS_SHOULD_BE_BETWEEN_TEN_AND_TWO_THOUSAND 160
#define DRAG_SHOULD_BE_BETWEEN_ZERO_AND_FIFTY 161
#define RADIUS_SHOULD_BE_BETWEEN_ONE_AND_ONE_HUNDRED 162
#define DENSITY_SHOULD_BE_BETWEEN_ONE_AND_FIVE_HUNDRED 163
#define RATE_SHOULD_BE_BETWEEN_ONE_AND_FIVE_HUNDRED 164
#define TYPE_SHOULD_BE_BETWEEN_ONE_AND_MAXTYPE 165
#define SIZE_SHOULD_BE_BETWEEN_ONE_AND_ONE_THOUSAND 166
#define ANGLE_SHOULD_BE_BETWEEN_ZERO_AND_SIXTY 167
#define NUMBER_OF_SIDES_SHOULD_BE_BETWEEN_THREE_AND_ONE_HUNDRED 168
#define BOX_ROUND_CORNER_ABSOLUTE_SIZE_SHOULD_BE_BETWEEN_ZERO_AND_ONE_THOUSAND 169
#define BOX_ROUND_CORNER_RELATIVE_SIZE_SHOULD_BE_BETWEEN_ZERO_AND_ONE 170
#define BOX_ROUND_CORNER_ABSOLUTE_AND_RELATIVE_SIZE_CANNOT_BE_BOTH_POSITIVE 171
#define INNER_RATIO_SHOULD_BE_BETWEEN_ZERO_AND_ONE 172
#define HORIZONTAL_OFFSET_SHOULD_BE_BETWEEN_PLUS_MINUS_HUNDRED_PERCENT 173
#define VERTICAL_OFFSET_SHOULD_BE_BETWEEN_PLUS_MINUS_HUNDRED_PERCENT 174
#define PAD_SHOULD_BE_BETWEEN_PLUS_MINUS_FOURTY_NINE_PERCENT 175
#define ANGLE_SHOULD_BE_BETWEEN_PLUS_MINUS_THREE_HUNDRED_SIXTY_DEGREES 176
#define NUMBER_OF_STEPS_SHOULD_BE_BETWEEN_ONE_AND_THREE_HUNDRED 177
#define LOST_ERROR_TERM 178
#define FONT_SELECT_DESIRED_PROPERTIES 179
#define UNABLE_TO_LOAD_REQUESTED_FONT 180
#define YOU_MUST_FIRST_COMPILE_A_C_SCRIPT 181
#define C_SCRIPT_SUCCESSFULLY_COMPILED_AND_LINKED 182
#define C_SCRIPT_COULD_NOT_BE_COMPILED_OR_LINKED 183
#define INVALID_WIDTH 184
#define INVALID_HEIGHT 185
#define INVALID_WIDTH_OR_HEIGHT_MUST_BE_GREATER_THAN_ZERO 186
#define INVALID_WIDTH_OR_HEIGHT_MUST_BE_LESS_THAN_HUNDRED_TWENTY_NINE 187
#define INVALID_WIDTH_OR_HEIGHT_MUST_BE_BETWEEN_ZERO_AND_TWO_HUNDRED_FIFTY_SIX 188
#define DIRECTORIES 189
#define FILES 190
#define OPEN_FILE_NAMED 191
#define SAVE_IN_FILE 192
#define LOAD_FROM_FILE 193
#define IMAGE_NUMBER_OUT_OF_RANGE 194
#define OUT_OF_MEMORY 195
#define UNABLE_TO_ALLOCATE_SUFFICIENT_COLOR_ENTRIES 196
#define TRY_EXITING_OTHER_COLOR_INTENSIVE_APPLICATIONS 197
#define SHOULDNT_HAPPEN 198
#define ERROR_IN_XINTERNATOM 199
#define CANNOT_GRAB_POINTER 200
#define INSUFFICIENT_RESOURCES_FOR_OPERATION 201
#define PROBABLY_NOT_ENOUGH_MEMORY_TO_ALLOCATE_PIXMAP 202
#define ERROR_CODE 203
#define UNKNOWN_IMAGE_FORMAT 204
#define OUT_OF_MEMORY_ALLOCATING_A_ROW 205
#define OUT_OF_MEMORY_ALLOCATING_AN_ARRAY 206
#define READ_ERROR 207
#define WRITE_ERROR 208
#define A_FILE_READ_ERROR_OCCURRED_AT_SOME_POINT 209
#define A_FILE_WRITE_ERROR_OCCURRED_AT_SOME_POINT 210
#define JUNK_IN_FILE_WHERE_BITS_SHOULD_BE 211
#define READ_ERROR_READING_MAGIC_NUMBER 212
#define JUNK_IN_FILE_WHERE_AN_INTEGER_SHOULD_BE 213
#define CANT_HAPPEN 214
#define MAXVAL_IS_TOO_LARGE 215
#define BAD_MAGIC_NUMBER_NOT_A_PPM_PGM_OR_PBM_FILE 216
#define OUT_OF_MEMORY_COMPUTING_HASH_TABLE 217
#define OUT_OF_MEMORY_ALLOCATING_HASH_TABLE 218
#define OUT_OF_MEMORY_GENERATING_HISTOGRAM 219
#define SAME_COLOR_FOUND_TWICE 220
#define COLORHIST_OUT_OF_MEMORY 221
#define FATAL_LIBPNG_ERROR_LONGJMP_CALLED_WHILE_READING 222
#define FATAL_LIBPNG_ERROR_LONGJMP_CALLED_WHILE_WRITING 223
#define ERROR_PLTE_CHUNK_NOT_FOUND_IN_PALETTE_IMAGE 224
#define STRIPPING_48_BIT_RGB_IMAGE_TO_24_BITS 225
#define STRIPPING_16_BIT_GRAYSCALE_IMAGE_TO_8_BITS 226
#define STRIPPING_64_BIT_RGBA_IMAGE_TO_32_BITS 227
#define STRIPPING_32_BIT_GRAY_ALPHA_IMAGE_TO_16_BITS 228
#define UNKNOWN_PNG_IMAGE_TYPE 229
#define READPNG_CANT_ALLOCATE_MEMORY_FOR_ROW_POINTERS_1 230
#define READPNG_CANT_ALLOCATE_MEMORY_FOR_ROW_POINTERS_2 231
#define UNABLE_TO_ALLOCATE_TEMPORARY_STORAGE_FOR_ALPHA_IMAGE 232
#define READPNG_UNABLE_TO_MALLOC_PNG_DATA 233
#define WRITEPNG_CANT_USE_ALPHA_MASK_WITH_COLORMAPPED_IMAGE 234
#define WRITEPNG_SORRY_CANT_WRITE_ALPHA_IMAGES_YET 235
#define WRITEPNG_CANT_ALLOCATE_MEMORY_FOR_ROW_POINTERS 236
#define XPAINT_FATAL_LIBPNG_ERROR 237
#define XPAINT_EXTREMELY_FATAL_LIBPNG_ERROR 238
#define END_MESSAGES 239

extern String *msgText;
extern int msgNum;
